Update a RICAL signer
Roles
Analytics Events
/v1/ecosystems/certificates/rical-signers/{ricalSignerId}Updates a RICAL signer by:
- Providing a RICAL Signer Certificate in PEM format that matches its Certificate Signing Request (CSR).
- Activating or deactivating the RICAL signer. Only RICAL signers with a valid
certificatePemcan be activated. - The
certificatePemfield becomes immutable after it's updated for the first time.
Analytic events
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_START
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_SUCCESS
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the RICAL signer.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/ecosystems/certificates/rical-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" }}How would you rate this page?
Retrieve a RICAL signer GET
Retrieves a RICAL signer. ### **Analytic events** * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_START * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_SUCCESS * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_FAIL
Delete a RICAL signer DELETE
Deletes a RICAL signer. Deleting a RICAL signer does not affect any RICALs it has already signed — those remain valid. It only means this signer can no longer be used to sign new RICALs. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout> ### **Analytic events** * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_DELETE_START * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_DELETE_SUCCESS * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_DELETE_FAIL